# Update a sitemap configuration

Updates a sitemap configuration.

Endpoint: PATCH /api/v1/sites/{siteId}/configuration/sitemap
Version: v1
Security: Bearer

## Path parameters:

  - `siteId` (string, required)
    The site identifier.

## Query parameters:

  - `environmentId` (string)
    Content Services environment identifier
    Example: "main"

## Request fields (application/json):

  - `id` (string, required)
    The identifier of the sitemap configuration item.
Example value: da570793-3539-4923-88ca-8314ddd193f7
    Example: "da570793-3539-4923-88ca-8314ddd193f7"

  - `enabled` (boolean,null)
    Whether sitemap generation is enabled.
Example value: True
    Example: true

  - `maxNumberOfPages` (string,null)
    Maximum number of pages to include in a single sitemap file.
Example value: 1000
    Example: "1000"

  - `alternateLinksOptions` (object)
    Alternate link sitemap configuration.

  - `alternateLinksOptions.enabled` (boolean,null)
    Whether alternate link generation is enabled. When enabled, xhtml:link elements are added to the URL elements in the sitemap.
Example value: True
    Example: true

  - `alternateLinksOptions.includeXDefault` (boolean,null)
    Whether alternate links include an x-default link element. The x-default value signals to the search algorithm that the page does not target any specific language or region.
Example value: True
    Example: true

  - `urlOptions` (object)
    URL property configurations in the sitemap.

  - `urlOptions.includeChangeFreq` (boolean,null)
    Whether to include change frequency attribute in the sitemap, that specifies how often the page changes its content.
Example value: True
    Example: true

  - `urlOptions.includeLastMod` (boolean,null)
    Whether to include the last modification date in the sitemap.
Example value: True
    Example: true

  - `urlOptions.includePriority` (boolean,null)
    Whether to include priority information in the sitemap. The priority is a number between 0 and 1 that represents the importance of a page.
Example value: True
    Example: true

  - `cacheOptions` (object)
    Sitemap caching configuration.

  - `cacheOptions.refreshThreshold` (string,null)
    Threshold in minutes for refreshing the sitemap cache.
Example value: 60
    Example: "60"

## Response 200 fields (application/json):

  - `id` (string,null)
    The identifier of the sitemap configuration item.
Example value: 2905a9c7-30b0-4d3f-bced-f1f9382c8041
    Example: "2905a9c7-30b0-4d3f-bced-f1f9382c8041"

  - `enabled` (boolean,null)
    Whether sitemap generation is enabled.
Example value: True
    Example: true

  - `maxNumberOfPages` (string,null)
    Maximum number of pages to include in a single sitemap file.
Example value: 1000
    Example: "1000"

  - `alternateLinksOptions` (object)
    Alternate link sitemap configuration.

  - `urlOptions` (object)
    URL property configurations in the sitemap.

  - `cacheOptions` (object)
    Sitemap caching configuration.

  - `permissions` (object)
    The access rights of the current user to the site.

  - `permissions.canAdmin` (boolean)
    Whether the current user has admin rights. Being an admin means that you control access permissions for other users, and have full read and write rights.
Example value: False

  - `permissions.canWrite` (boolean)
    Whether the current user has permissions to edit values. Users with write access also have read access.
Example value: False

  - `permissions.canCreate` (boolean)
    Whether the current user has permission to create entities.
Example value: False

  - `permissions.canDelete` (boolean)
    Whether the current user has permission to delete entities.
Example value: False

  - `permissions.canRename` (boolean)
    Whether the current user has permission to rename entities.
Example value: False

  - `permissions.canRead` (boolean)
    Whether the current user has permission to see entities, including all their parameters.
Example value: False

  - `permissions.canPublish` (boolean)
    Whether the current user has permission to publish sites in this environment.
Example value: False

  - `permissions.canDuplicate` (boolean)
    Whether the current user has permission to duplicate entities.
Example value: False

  - `permissions.canWriteLanguage` (boolean)
    Whether the current user has permission to write item language entities.
Example value: False

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


